[![Enterprise Modules](https://raw.githubusercontent.com/enterprisemodules/public_images/master/banner1.jpg)](https://www.enterprisemodules.com)

#### Table of Contents

1. [Overview](#overview)
2. [License](#license)
3. [Description - What the module does and why it is useful](#description)
4. [Setup](#setup)
  * [Requirements](#requirements)
  * [Installing the db2_install module](#installing-the-db2_install-module)
5. [Usage - Configuration options and additional functionality](#usage)
6. [Reference - An under-the-hood peek at what the module is doing and how](#reference)
7. [Limitations - OS compatibility, etc.](#limitations)

## Overview

This module allows you to install IBM DB2 database software. It is part of our family of Puppet modules to install, manage and secure IBM DB2 databases with Puppet. Besides the [`db2_install`](https://www.enterprisemodules.com/shop/products/puppet-db2_install-module) module, this family also contains:

- [`db2_config`](https://www.enterprisemodules.com/shop/products/puppet-db2_config-module) For configuring every aspect of your IBM DB2 database
- [`db2_scured`](https://www.enterprisemodules.com/shop/products/puppet-db2-security-module) To secure your databases according to the CIS benchmarks.
- [`db2_profile`](https://forge.puppet.com/enterprisemodules/db2_profile) The db2_profile module allows an easy path from first simple installation to a fully customized Enterprise setup. 

All of these modules support IBM DB2 versions 9, 10 and 11.

## License

This is a commercially licensed module. But you can use the module on VirtualBox based development systems for **FREE**. You can [request a **FREE** trial license here](https://www.enterprisemodules.com/sign-up-for-free-trial)

Check the [License](https://forge.puppet.com/enterprisemodules/db2_install/license) for details.

## Description

The `db2_install` module contains all Puppet classes, defined types and custom types needed to install IBM DB2 a system. Instead of writing complex Bash scripts, using this module, you can now define your IBM DB2 software installation in an easy, declarative way. 

All knowledge required to install and manage your IBM DB2 installation is coded into the Puppet modules. This means you can focus on the "what" and leave the implementation details to our modules.

Our modules support a broad range of IBM DB2 versions. We are committed to making our modules work on future releases. This allows our customers an easy upgrade path from older to newer versions.

The module has support for:

- [software](https://www.enterprisemodules.com/docs/db2_install/software.html) Ensure the correct version of IBM DB2 software is installed.
- [fixpack](https://www.enterprisemodules.com/docs/db2_install/fixpack.html) Ensure the correct DB2 fixpack is installed.

## Setup

### Requirements

The [`db2_install`](https://www.enterprisemodules.com/shop/products/puppet-db2_install-module) module requires:

- Puppet module [`enterprisemodules-easy_type`]((https://forge.puppet.com/enterprisemodules/easy_type) installed.
- Puppet version 4.0 or higher. Can be Puppet Enterprise or Puppet Open Source
- IBM DB2 9 or higher
- A valid IBM DB2 license
- A valid Enterprise Modules license for usage
- Runs on most Linux systems

### Installing the db2_install module

To install these modules, you can use a `Puppetfile`

```
mod 'enterprisemodules/db2_install', 'x.x.x'
```

Then use the `librarian-puppet` or `r10K` to install the software.

You can also install the software using the `puppet module` command:

```
puppet module install enterprisemodules-db2_install
```

## Usage

Building a total IBM DB2 setup requires quite some work. To help you, we have built [some examples](https://github.com/enterprisemodules/db2_demo). This repo contains a demonstration of a simple database installation. 

## Reference

You can find some more information here regarding this Puppet module:

- [The `db2_install` documentation](https://www.enterprisemodules.com/docs/db2_install/description.html)


## Limitations

This module runs on most Linux versions. It requires a puppet version higher than 4. Other configurations are no supported.