# frozen_string_literal: true

#
#  Create array of selected components based on the selection.
#
Puppet::Functions.create_function(:'db2_install::installed_components') do
  #
  # See the file "LICENSE" for the full license governing this code.
  #
  #
  dispatch :installed_components do
    param 'Stdlib::Absolutepath', :location1
    return_type 'Array'
  end

  #
  # return full selection of packages
  #
  def installed_components(location)
    components = closure_scope.to_hash.dig('db2_install_locations', 'installed_components', location)
    components&.collect { |e| e.keys.first } || []
  end
end
