#
# db2_install::clear_caches
#
# @summary This class contains the puppet code that implements the default facter cache invainvalidationlidatin rules.
# Whenever a certain set of Puppet classes or defined types is applied, it will clear the facter caches for those facts that are implemented.
#
#
# See the file "LICENSE" for the full license governing this code.
#
class db2_install::clear_caches () {
  fact_cache { 'db2_install_locations.product_version':
    ensure      => absent,
    refreshonly => true,
  }

  Db2_install::Software<||> ~> Fact_cache['db2_install_locations.product_version']
  Db2_install::Fixpack<||> ~> Fact_cache['db2_install_locations.product_version']

  fact_cache { 'db2_install_locations.installed_components':
    ensure      => absent,
    refreshonly => true,
  }

  Db2_install::Software<||> ~> Fact_cache['db2_install_locations.installed_components']
  Db2_install::Fixpack<||> ~> Fact_cache['db2_install_locations.installed_components']
}
